Bug 107661 - (gnome-terminal:xxxx): GLib-GObject-CRITICAL **: file gobject.c: line 1320
Summary: (gnome-terminal:xxxx): GLib-GObject-CRITICAL **: file gobject.c: line 1320
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-21 19:56 UTC by Dave Habben
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 22:15:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Habben 2003-10-21 19:56:14 UTC
From Bugzilla Helper:

Description of problem:
# rpm -q gnome-terminal vte
gnome-terminal-2.4.0.1-1
vte-0.11.10-4

Version-Release number of selected component (if applicable):
gnome-terminal-2.4.0.1-1

How reproducible:
Always

Steps to Reproduce:
1. Start gnome-terminal
2. Select a word by dragging the cursor
3. Close gnome-terminal by the window manager [x] box




Actual Results:  It displays in the terminal window that launched gnome-terminal:

(gnome-terminal:1909): GLib-GObject-CRITICAL **: file gobject.c: line 1320
(g_object_ref): assertion `object->ref_count > 0' failed

Expected Results:  gnome-terminal should close properly with no error messages

Additional info:

Comment 1 Dave Habben 2003-10-22 14:28:02 UTC
I was only able to reproduce this under a KDE session, when I tried it under a
Gnome session it worked just fine.

Comment 2 Dave Habben 2003-11-14 19:14:59 UTC
This still occurs in Fedora Core 1, just updating the bug.

Comment 3 Warren Togami 2004-04-14 04:56:32 UTC
Please try yourself, or ask one of your friends, to try to reproduce
this on FC2 development.

Comment 4 Dave Habben 2004-04-28 23:20:26 UTC
The error I reported is fixed, it no longer gives that error message
when closing the window. It does however report a new error upon
launching gnome-terminal in a KDE session in a fresh install of Fedore
Core 2 Test 3:

[root@localhost root]# gnome-terminal

(gnome-terminal:2620): Gdk-CRITICAL **: file gdkgc.c: line 465
(gdk_gc_get_colormap): assertion `GDK_IS_GC (gc)' failed

Steps to Reproduce:
1. Start a KDE session
2. Launch konsole
3. type: gnome-terminal
4. See the error message




Comment 5 Ray Strode [halfline] 2005-05-11 22:15:04 UTC
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.


Note You need to log in before you can comment on or make changes to this bug.